%define beta beta12
%define subbeta %nil

Name: ardour
Version: 0.9
Release: alt0.6%{beta}%subbeta

Summary: Ardour is a multichannel hard disk recorder and digital audio workstation.
Summary(ru_RU.KOI8-R): Ardour --        .
License: GPL
Group: Sound
Url: http://ardour.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/releases/%name-%version%beta%subbeta.tar.bz2

%if 0
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
%endif

%define jack_ver 0.98.1
%define samplerate_ver 0.0.15
%define lrdf_ver 0.3.5

Requires: jackd >= %jack_ver

BuildPreReq: libtool_1.4
BuildPreReq: kernel-headers-std
BuildPreReq: jackit-devel >= %jack_ver
BuildPreReq: libsamplerate-devel >= %samplerate_ver
BuildPreReq: liblrdf-devel >= %lrdf_ver

# Automatically added by buildreq on Wed May 19 2004
BuildRequires: XFree86-devel-static XFree86-libs flex gcc-c++ gcc-g77 glib-devel glib2 gtk+-devel jackit-devel libalsa-devel libart_lgpl-devel liblrdf-devel libpng-devel libraptor-devel libsamplerate-devel libsndfile-devel libstdc++-devel libxml2-devel pkgconfig sgml-tools zlib-devel

%description
Ardour is a multichannel hard disk recorder (HDR) and digital audio
workstation (DAW). It is capable of simultaneous recording of 24 or more
channels of 32 bit audio at 48kHz. Ardour is intended to function as a
"professional" HDR system, replacing dedicated hardware solutions such
as the Mackie HDR and provide the same or better functionality as
proprietary software DAWs such as ProTools, Samplitude, Logic Audio,
Nuendo and Cubase VST/SX.

%description -l ru_RU.KOI8-R
Ardour --       
,   24    32-   
 48 . Ardour    
  Mackie HDR     
      
  ProTools, Samplitude, Logic Audio, Nuendo  Cubase
VST/SX.

%prep
%setup -q -n %name-%version%beta%subbeta

%build
%set_libtool_version 1.4
%configure

%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot/%_menudir
%__cat <<__MENU__ >%buildroot/%_menudir/%name
?package(%name): needs="x11" section="Multimedia/%group" title="Ardour" \
longtitle="Multichannel Hard Disk Recorder" command="%_bindir/ardour" icon="%name.xpm"
__MENU__

%if 0
# icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm
%endif

%__rm -rf DOCUMENTATION/CVS

%find_lang --with-man --output=%name.lang %name libgtkmmext

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
#%dir %_libdir/%name
#%_libdir/%name/*
%dir %_datadir/%name
%_datadir/%name/*
%exclude %_datadir/%name/*a
%_menudir/*
#%_iconsdir/%name.xpm
#%_iconsdir/*/%name.xpm
%dir %_sysconfdir/%name
%config %_sysconfdir/%name/*
%_man1dir/*
%doc DOCUMENTATION/*

%changelog
* Wed May 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt0.6beta12
- 0.9beta12.

* Fri Mar 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt0.6beta11.2
- 0.9beta11.2

* Wed Nov 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt0.6beta8
- 0.9beta8.

* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt0.6beta6
- 0.9beta6.

* Sun Jul 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt0.5beta2
- 0.9beta2

* Mon Jun 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt0.5beta1_a
- First build for Sisyphus.
- Summary, description by avp.

